Summary:	Plugins for Nagios to monitor remote disk and processes via SNMP
Summary(pl.UTF-8):	Wtyczki dla Nagiosa do zdalnego monitorowania dysku i procesów po SNMP
Name:		nagios-snmp-plugins
Version:	1.3.1
Release:	3
License:	GPL v2
Group:		Networking
Source0:	https://github.com/glensc/nagios-snmp-plugins/releases/download/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	c47444d4224dfa225169213b2f4acc1c
Source1:	%{name}.cfg
URL:		http://github.com/glensc/nagios-snmp-plugins
BuildRequires:	net-snmp-devel >= 5.2.1.2
Requires:	nagios-core
Requires:	net-snmp-libs
Obsoletes:	netsaint-snmp-plugins
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios/plugins
%define		plugindir	%{_libdir}/nagios/plugins

%description
These plugins allow you to monitor on a remote machine via SNMP:
- disk space
- running processes
- system load
- swap usage

%description -l pl.UTF-8
Te wtyczki pozwalają na zdalne monitorowanie zajętości dysku i
działajacych procesów po SNMP.

%prep
%setup -q

%build
%configure \
	--bindir=%{plugindir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{plugindir}}
%{__sed} -e 's,@plugindir@,%{plugindir},' %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.cfg
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.cfg
%attr(755,root,root) %{plugindir}/check_snmp_disk
%attr(755,root,root) %{plugindir}/check_snmp_load
%attr(755,root,root) %{plugindir}/check_snmp_proc
%attr(755,root,root) %{plugindir}/check_snmp_swap
%changelog
* Mon Oct 05 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nagios-snmp-plugins.git;a=log;h=master

* Mon Oct 05 2020 Jan Rękorajski <baggins@pld-linux.org> 667c1cf
- release 3 (by relup.sh)

* Sun Sep 02 2018 Jan Rękorajski <baggins@pld-linux.org> 77fbb95
- rebuild with net-snmp 5.8
- release 2 (by relup.sh)

* Tue Oct 01 2013 Elan Ruusamäe <glen@delfi.ee> 5b1fa87
- up to 1.3.1; fixes multiline output for check_snmp_disk

* Sat Jul 30 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d61de22
- release 4

* Thu Jan 27 2011 Elan Ruusamäe <glen@pld-linux.org> 54a5d80
- use github tarball

* Thu Jan 27 2011 Elan Ruusamäe <glen@pld-linux.org> aac04ec
- use dropin, update desc

* Fri Oct 15 2010 Elan Ruusamäe <glen@pld-linux.org> 7594fac
- new tarball

* Fri Oct 15 2010 Elan Ruusamäe <glen@pld-linux.org> 9391a28
- prefer -p in disk checks

* Thu Oct 14 2010 Elan Ruusamäe <glen@pld-linux.org> e6cde32
- up to 1.3 pre-release, use github source
- adds -p option to disk check

* Sun Jun 06 2010 Elan Ruusamäe <glen@pld-linux.org> 2383f9d
- release 5

* Tue Sep 15 2009 Elan Ruusamäe <glen@pld-linux.org> eac6855
- prettier print for Load OK

* Tue Sep 15 2009 Elan Ruusamäe <glen@pld-linux.org> 1f2a2f2
- check processes less often than snmpd itself for depencency

* Tue Sep 15 2009 Elan Ruusamäe <glen@pld-linux.org> 8b10981
- reindent
- fix reporting when not all error levels are met

* Tue Sep 15 2009 Elan Ruusamäe <glen@pld-linux.org> 5e656bf
- add check_snmp_load; rel 4

* Tue Sep 15 2009 Elan Ruusamäe <glen@pld-linux.org> 4344e3a
- check_snmp_load

* Tue Sep 15 2009 Elan Ruusamäe <glen@pld-linux.org> 53e0be5
- omit check_ prefix from service templates

* Tue Sep 15 2009 Elan Ruusamäe <glen@pld-linux.org> 072e07d
- add service templates

* Tue Sep 15 2009 Elan Ruusamäe <glen@pld-linux.org> adc62f7
- more -l, --list cleanup

* Tue Sep 15 2009 Elan Ruusamäe <glen@pld-linux.org> f33c1b8
- add check_snmp_swap, check_snmp_load

* Tue Sep 15 2009 Elan Ruusamäe <glen@pld-linux.org> b753617
- no listing mode in this plugin

